Chapters:
1: Introduction
2: Simple example
3: Invocation
4: Finer Control
5: X-Y Plots
6: Contour Plots
7: Image Plots
8: Examples
9: Gri Commands
10: Programming
11: Environment
12: Emacs Mode
13: History
14: Installation
15: Gri Bugs
16: Test Suite
17: Gri in Press
18: Acknowledgments
19: License
Indices:
Concepts
Commands
Variables

## 11.1: Extra things provided with Gri

- gri_merge: Merge files to one page
- gri_unpage: Separate multipage doc into separate files

### 11.1.1: ``gri_merge`' -- combine PostScript files

Merge separate PostScript files, created by Gri, into one page. To learn how it works, type ``gri_merge -h`' at the system prompt, to see:

    PURPOSE: Strings Gri PostScript files together.

    BUGS:    With old versions, of gri, make sure to match each `set clip
     postscript on' with a `set clip postscript off'.

    USAGE (style 1):
        gri_merge [OPTIONS] CxR a.ps b.ps ... > merged_file.ps
     Merges the files onto one page, in 'C' columns and 'R' rows.  The C*R
     files are given in the order of words on a page.  The page is
     presumed to be 8.5x11 in size, as are all the input files, and the
     input files are sized to fit, and kept in natural scale.

    USAGE (style 2):
        gri_merge [OPTIONS] xcm ycm enlarge a.ps [b.ps ...] > merged_file.ps
     Where `enlarge' is a scale factor applied after offsetting `xcm' to
     the right and `ycm' upward.

    EXAMPLE (style 2):
     The following
       gri_merge  2 12 .5 a.ps \
                12 12 .5 b.ps \
                 2  2 .5 c.ps \
                12  2 .5 d.ps > all.ps
     produces 4 panels from gri plots done using margins and sizes
     as specified in the following lines in a gri commandfile
       set x margin 2
       set x size 15
       set y margin 2
       set y size 15
     The OPTIONS, available if your 'perl' has 'getopts' library, are:
       -u graylevel -- set graylevel for underlay beneath panels, by default 0.75.
                       Values range from 0 (black) to 1 (white), although a value
                       of precisely 1 means do NOT draw underlay.
       -b graylevel -- Set value for background under individual panels, again 0
                       for black to 1 for white, with 1 meaning no drawing.
       -h           -- Print this help message and quit.

### 11.1.2: ``gri_unpage`' -- split pages into files

Given a multipage PostScript file, ``gri_unpage`' creates several new PostScript files, one for each page. To learn how it works, type ``gri_unpage -h`' at the system prompt, to see:

    PURPOSE: Chop multipage Gri PostScript file into one file per page.
    USAGE:   gri_unpage name.ps -- create files name-1.ps, name-2.ps, etc, one
                                   for each page of name.ps.
             gri_unpage -h      -- print this help message

    BUGS:    1. Bounding box is always 8.5x11 inches.
             2. Assumes that all Gri fonts are used even if they aren't.